package _VisualDVM.Passes.All;
import _VisualDVM.Global;
public class SaveBugReportExecutor extends UpdateBugReportField {
    @Override
    public String getIconPath() {
        return "/Common/icons/Apply.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return Global.componentsServer.db.recipients.getUI().CheckCurrent(Log) &&
                super.canStart("executor", Global.componentsServer.db.recipients.getUI().getCurrent().name,
                        "executor_address", Global.componentsServer.db.recipients.getUI().getCurrent().email
                );
    }
}
